IDN Funkcje
idn_to_unicode
IDN Funkcje
PHP Manual

# idn_to_ascii

(PHP 5 >= 5.3.0, PECL intl >= 1.0.2)

idn_to_ascii — Convert domain name to IDNA ASCII form.

### Opis

Procedural style

string idn_to_ascii ( string `$domain` [, int `$options` ] )

This function converts Unicode domain name to IDNA ASCII-compatible format.

### Parametry

`domain`

  Domain to convert. In PHP 5 must be UTF-8 encoded.

`options`

  Conversion options - combination of IDNA_* constants.

### Zwracane wartości

Domain name encoded in ASCII-compatible form.

### Przykłady

Przykład #1 idn_to_ascii() example

`<?php
echo idn_to_ascii('täst.de');
?>`

Powyższy przykład wyświetli:

    xn--tst-qla.de

### Zobacz też:

- idn_to_unicode() - Alias dla idn_to_utf8

IDN Funkcje
idn_to_unicode
IDN Funkcje
PHP Manual